## GimpConfig-serialize

GimpConfig-serialize — Serializing for libgimpconfig.

## Functions

gboolean | gimp_config_serialize_properties ()
gboolean | gimp_config_serialize_changed_properties ()
gboolean | gimp_config_serialize_property ()
gboolean | gimp_config_serialize_property_by_name ()
gboolean | gimp_config_serialize_value ()

## Description

Serializing interface for libgimpconfig.

## Functions

### gimp_config_serialize_properties ()

    gboolean
    gimp_config_serialize_properties (GimpConfig *config,
                                      GimpConfigWriter *writer);

This function writes all object properties to the `writer` .

#### Parameters

config | a GimpConfig. |
writer | a GimpConfigWriter. |

#### Returns

`TRUE` if serialization succeeded, `FALSE` otherwise

Since GIMP 2.4

### gimp_config_serialize_changed_properties ()

    gboolean
    gimp_config_serialize_changed_properties
                                   (GimpConfig *config,
                                    GimpConfigWriter *writer);

This function writes all object properties that have been changed from their default values to the `writer` .

#### Parameters

config | a GimpConfig. |
writer | a GimpConfigWriter. |

#### Returns

`TRUE` if serialization succeeded, `FALSE` otherwise

Since GIMP 2.4

### gimp_config_serialize_property ()

    gboolean
    gimp_config_serialize_property (GimpConfig *config,
                                    GParamSpec *param_spec,
                                    GimpConfigWriter *writer);

This function serializes a single object property to the `writer` .

#### Parameters

config | a GimpConfig. |
param_spec | a GParamSpec. |
writer | a GimpConfigWriter. |

#### Returns

`TRUE` if serialization succeeded, `FALSE` otherwise

Since GIMP 2.4

### gimp_config_serialize_property_by_name ()

    gboolean
    gimp_config_serialize_property_by_name
                                   (GimpConfig *config,
                                    const gchar *prop_name,
                                    GimpConfigWriter *writer);

This function serializes a single object property to the `writer` .

#### Parameters

config | a GimpConfig. |
prop_name | the property's name. |
writer | a GimpConfigWriter. |

#### Returns

`TRUE` if serialization succeeded, `FALSE` otherwise

Since GIMP 2.6

### gimp_config_serialize_value ()

    gboolean
    gimp_config_serialize_value (const GValue *value,
                                 GString *str,
                                 gboolean escaped);

This utility function appends a string representation of GValue to `str` .

#### Parameters

value | a GValue. |
str | a GString. |
escaped | whether to escape string values. |

#### Returns

`TRUE` if serialization succeeded, `FALSE` otherwise.

Since GIMP 2.4

## Types and Values